### Method

# SpiceClientGLib MainChannel update_display

since: 0.35

#### Declaration [src]

    void
    spice_main_channel_update_display (
      SpiceMainChannel* channel,
      int id,
      int x,
      int y,
      int width,
      int height,
      gboolean update
    )

#### Description [src]

Update the display `id` resolution.

If `update` is `TRUE`, the remote configuration will be updated too after 1 second without further changes. You can send when you want without delay the new configuration to the remote with spice_main_send_monitor_config().

Available since: 0.35

#### Parameters

`id`

  Type: `int`

  Display ID.

`x`

  Type: `int`

  X position.

`y`

  Type: `int`

  Y position.

`width`

  Type: `int`

  Display width.

`height`

  Type: `int`

  Display height.

`update`

  Type: `gboolean`

  If `TRUE`, update guest resolution after 1sec.